import moment from 'moment';
export declare enum DateFormatters {
    Long = "LL",
    Short = "ll",
    Time = "LT",
    DateTime = "LLL",
    ISO8601 = "YYYY-MM-DDTHH:mm:ssZ"
}
export declare const formatDate: (value: string | moment.Moment, formatter: DateFormatters) => string;
export declare const formatNumber: (value: string | number, locale?: string) => string;
export declare const formatCurrency: (value: string | number, locale?: string, currency?: string) => string;
/**
 * @param {Number} number
 * @param {Boolean} [includeDecimals]
 * @return {String}
 */
export declare const formatBytes: (number: number, includeDecimals: boolean) => string;
/**
 * @param {Number} number
 * @param {Boolean} [useSI]
 * @param {Number} [significantDecimals]
 * @param {Boolean} [trimInsignificantZeros]
 * @return {String}
 */
export declare const formatNumberForAnalytics: (number: number, useSI?: boolean, significantDecimals?: number, trimInsignificantZeros?: boolean) => string;
